' $INCLUDE: 'GENERAL.BI'
' $INCLUDE: 'MOUSE.BI'
' $INCLUDE: 'MENU.BI'
' $INCLUDE: 'WINDOW.BI'

COMMON SHARED /uitools/ GloMenu           AS MenuMiscType
COMMON SHARED /uitools/ GloTitle()        AS MenuTitleType
COMMON SHARED /uitools/ GloItem()         AS MenuItemType

DIM GloTitle(MAXMENU)           AS MenuTitleType
DIM GloItem(MAXMENU, MAXITEM)   AS MenuItemType

DIM MenuNames(1 TO 3) AS STRING
DIM MenuChoices(1 TO 3, 1 TO 5) AS STRING


CLS

  MenuNames(1) = "Animal"
  MenuChoices(1, 1) = "Fox"
  MenuChoices(1, 2) = "Deer"
  MenuChoices(1, 3) = "Rabbit"
  MenuChoices(1, 4) = "Human"
  MenuChoices(1, 5) = "Whale"

  MenuNames(2) = "Vegetable"
  MenuChoices(2, 1) = "Carrot"
  MenuChoices(2, 2) = "Corn"
  MenuChoices(2, 3) = "Peas"

  MenuNames(3) = "Mineral"
  MenuChoices(3, 1) = "Quartz"
  MenuChoices(3, 2) = "Tourmaline"
  MenuChoices(3, 3) = "Granite"
  MenuChoices(3, 4) = "Coal"

  CALL MenuInit

  FOR MenuNumber% = 1 TO 3
    CALL MenuSet(MenuNumber%, 0, 1, MenuNames(MenuNumber%), 1)
    FOR MenuChoice% = 1 TO 5
      IF MenuChoices(MenuNumber%, MenuChoice%) <> "" THEN
        CALL MenuSet(MenuNumber%, MenuChoice%, 1, MenuChoices(MenuNumber%, MenuChoice%), 1)
      END IF
    NEXT MenuChoice%
  NEXT MenuNumber%

  CALL MenuColor(14, 1, 12, 8, 14, 3, 12)
  CALL MenuPreProcess
  CALL MenuShow

  LOCATE 25, 1
  Msg$ = "Make a menu selection."
  Msg$ = Msg$ + SPACE$(80 - LEN(Msg$))
  PRINT Msg$;

  CALL MouseShow
  DO
    Instring$ = MenuInkey$
  LOOP WHILE Instring$ <> "menu"
  CALL MouseHide

  MenuNo% = MenuCheck(0)
  ChoiceNo% = MenuCheck(1)
    
  Msg$ = "You selected " + MenuChoices(MenuNo%, ChoiceNo%)
  LOCATE 10, (80 - LEN(Msg$)) / 2: PRINT Msg$

  END

